# Function traverseLayer

- traverseLayer(layer, ancestors, visitor): void

- #### Parameters

  - layer: BaseLayer

    A layer tree.

  - ancestors: LayerGroup[]

    The groups to which the layer belongs to.

  - visitor: ((arg0, arg1) => boolean)

    A function which will return false if descend must stop.

    - - (arg0, arg1): boolean

      - #### Parameters

        - arg0: BaseLayer
        - arg1: LayerGroup[]

        #### Returns boolean

  #### Returns void

  - Defined in src/offline/utils.js:30